Response enrichment with related items
By utilizing the request parameter 'showRelated', developers can enhance specific response items with related content.
The currently supported values for showRelated are listed in the table:
showRelated value | endpoints | maturity privilege | Description |
|---|---|---|---|
MPA | /geocode, /lookup | GA, RESTRICTED | For result items with resultType=houseNumber and houseNumberType=PA, include a block containing a list of micro point addresses associated with this address, such as buildings, floors (levels) or suites (units). |
parentPA | /geocode, /revgeocode, /multi-revgeocode, /lookup | GA, RESTRICTED | For result items with resultType=houseNumber and houseNumberType=MPA, include a block containing the "parent" point address associated with this micro point address. |
intersections | /geocode, /revgeocode, /multi-revgeocode | GA | For result items with resultType=houseNumber or resultType=street, include a block containing a list of intersections nearest to the address. |
nearbyAddress | /revgeocode, /multi-revgeocode | GA | Add nearby address as additional reference to the street level results. The feature is only available for street results in combination with parameters bearing or types=street. |
Example of a /lookup endpoint response with showRelated=MPA:
{
"title": "84 Northbourne Ave, Braddon ACT 2612, Australia",
"id": "here:af:streetsection:.W90ivJgffuB3CYZPYn6fD:CggIBCCymKydARABGgI4NA",
"language": "en",
"resultType": "houseNumber",
"houseNumberType": "PA",
"address": {
"label": "84 Northbourne Ave, Braddon ACT 2612, Australia",
"countryCode": "AUS",
"countryName": "Australia",
"stateCode": "ACT",
"state": "Australian Capital Territory",
"city": "Canberra",
"district": "Braddon",
"street": "Northbourne Ave",
"postalCode": "2612",
"houseNumber": "84"
},
"position": { "lat": -35.27422, "lng": 149.13065 },
"access": [{ "lat": -35.27416, "lng": 149.13013 }],
"mapView": {...},
"related": [
{
"relationship": "MPA",
"title": "802/84 Northbourne Ave, Braddon ACT 2612, Australia",
"id": "here:cm:micropointaddress:609132900",
"resultType": "houseNumber",
"houseNumberType": "MPA",
"position": { "lat": -35.27418, "lng": 149.13032 },
"address": {
"label": "802/84 Northbourne Ave, Braddon ACT 2612, Australia",
"unit": "802"
}
},
...
{
"relationship": "MPA",
"title": "105/84 Northbourne Ave, Braddon ACT 2612, Australia",
"id": "here:cm:micropointaddress:872377237",
"resultType": "houseNumber",
"houseNumberType": "MPA",
"address": {
"label": "105/84 Northbourne Ave, Braddon ACT 2612, Australia",
"unit": "105"
}
}
]
}- The 'related' block includes for each micro point address only the fields that differ from its parent point address.
- Currently, HERE Geocoding and Search supports micro point addresses in the following countries: AUS, AUT, CAN, NZL, USA (with the territory of PRI).
Example of a /revgeocode endpoint response with showRelated=intersections:
GET https://revgeocode.search.hereapi.com/v1/
revgeocode
?at=34.0569948,-118.2475378
&lang=en-US
&showRelated=intersections
&apiKey={YOUR_API_KEY}{
"items": [
{
"title": "144 N Grand Ave, Los Angeles, CA 90012-3001, United States",
"id": "here:af:streetsection:MrYXjP8ZMKxUjw0YHcJbgB:CggIBCCZusifAxABGgMxNDQ",
"resultType": "houseNumber",
"houseNumberType": "PA",
"address": {
"label": "144 N Grand Ave, Los Angeles, CA 90012-3001, United States",
"countryCode": "USA",
"countryName": "United States",
"stateCode": "CA",
"state": "California",
"county": "Los Angeles",
"city": "Los Angeles",
"district": "Downtown Los Angeles",
"street": "N Grand Ave",
"postalCode": "90012-3001",
"houseNumber": "144"
},
"position": {
"lat": 34.0569,
"lng": -118.24764
},
"access": [
{
"lat": 34.057,
"lng": -118.24774
}
],
"distance": 14,
"mapView": {
"west": -118.24877,
"south": 34.0557,
"east": -118.24533,
"north": 34.05926
},
"estimatedPointAddress": true,
"related": [
{
"relationship": "intersection",
"title": "N Grand Ave & W Temple St, Los Angeles, CA 90012, United States",
"id": "here:cm:node:49260238",
"resultType": "intersection",
"address": {
"label": "N Grand Ave & W Temple St, Los Angeles, CA 90012, United States",
"streets": [
"N Grand Ave",
"W Temple St"
],
"postalCode": "90012"
},
"position": {
"lat": 34.05814,
"lng": -118.24644
},
"distance": 163
},
{
"relationship": "intersection",
"title": "W 1st St & N Grand Ave & S Grand Ave, Los Angeles, CA 90012, United States",
"id": "here:cm:node:49255048",
"resultType": "intersection",
"address": {
"label": "W 1st St & N Grand Ave & S Grand Ave, Los Angeles, CA 90012, United States",
"streets": [
"W 1st St",
"N Grand Ave",
"S Grand Ave"
],
"postalCode": "90012"
},
"position": {
"lat": 34.0557,
"lng": -118.24877
},
"distance": 183
}
]
}
]
}- The
relatedblock includes only the fields that differ from its parent result for each related object. You can assume that the other address fields from the parent all apply to the related element. - If there are multiple intersections nearby, they are ordered by
distancein therelatedblock. - There can be two or more streets are intersected for a nearby intersection, all the intersected street names are listed in the
relatedblock, including the street name in the result and the street names from the intersected streets. - Nearby intersections are currently only returned for result items with
resultType=houseNumberorresultType=streetwhich have street names.
Example of a /revgeocode endpoint response with showRelated=nearbyAddress:
GET https://revgeocode.search.hereapi.com/v1/
revgeocode
?at=2.5186672,13.4079117
&bearing=60
&lang=en-US
&showRelated=nearbyAddress
&apiKey={YOUR_API_KEY}{
"items": [
{
"title": "Rathausstraße, 10178 Berlin, Germany",
"id": "here:af:streetsection:2pGteqRk7Ros60IJL5KyEA",
"resultType": "street",
"address": {
"label": "Rathausstraße, 10178 Berlin, Germany",
"countryCode": "DEU",
"countryName": "Germany",
"stateCode": "BE",
"state": "Berlin",
"countyCode": "B",
"county": "Berlin",
"city": "Berlin",
"district": "Mitte",
"street": "Rathausstraße",
"postalCode": "10178"
},
"position": {"lat": 52.5187, "lng": 13.40787},
"distance": 4,
"mapView": {...},
"related": [
{
"relationship": "nearbyAddress",
"title": "Rathausstraße 15, 10178 Berlin, Germany",
"id": "here:af:streetsection:2pGteqRk7Ros60IJL5KyEA:CgcIBCCk6s5QEAEaAjE1",
"resultType": "houseNumber",
"houseNumberType": "PA",
"address": {
"label": "Rathausstraße 15, 10178 Berlin, Germany",
"houseNumber": "15"
},
"position": {
"lat": 52.51856,
"lng": 13.40821
},
"access": [
{
"lat": 52.51874,
"lng": 13.40796
}
],
"distance": 24,
"routeDistance": 7,
"bearing": 53
}
]
}
]
}- The
relatedblock includes only the fields that differ from its parent result for each related object; all other address fields from the parent apply to therelatedblock. - The feature is only available for street results in combination with parameters
bearingortypes=street. - An address within 150 meters of
routeDistanceis returned asnearbyAddress. - For bi-directional roads:
- If
bearingis provided, the preferrednearbyAddressis on the same driving side. - If
bearingis absent buttypes=streetis specified, the preferrednearbyAddressis on the same side as the input. - If no addresses are available on that side, the closest address from the opposite side is returned as a fallback.
- If
- For single-direction roads, the closest
nearbyAddressfrom either side is returned. - Map references for
nearbyAddressare provided if theshowMapReferencesparameter is requested.
Updated last month